
#include "UserDataValue.hpp"

namespace Porygon::UserData {
    extern "C" {
    UserDataValue *CreateUserDataEvalValue(uint32_t typeHash, void *obj) {
        return new UserDataValue(typeHash, obj);
    }

    void* EvaluateUserDataObj(UserDataValue *v){
        return v -> GetObjectPointer();
    }

    }
}